Get the Receipt Confirmation XLSX for an inwards consignment
Path Parameters
- Type: stringFormat: uuidconsignment
Id required
Query Parameters
- Type: booleanInclude
Shipping Whether to include shipping information in the XLSX document, if any. Defaults to true.
- Type: booleanInclude
Metrics Whether to include metrics in the XLSX document. Defaults to true.
- Type: booleanInclude
Notes Whether to include notes in the XLSX document, if any. Defaults to true.
- Type: booleanInclude
Product Summary Whether to include product summary information in the XLSX document. Defaults to true.
- Type: booleanSplit
Into Multiple Worksheets Whether to split each section into separate worksheets in the XLSX document. Defaults to false.
Responses
- 200
OK
Request Example for get/v1/consignments/{consignmentId}/receipt-confirmation-xlsx
curl 'https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/receipt-confirmation-xlsx?IncludeShipping=true&IncludeMetrics=true&IncludeNotes=true&IncludeProductSummary=true&SplitIntoMultipleWorksheets=true'
No Body